#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from cmk.gui.plugins.views import (
    inventory_displayhints, )
from cmk.gui.i18n import _
from cmk.gui.plugins.views.inventory import declare_invtable_view

inventory_displayhints.update({
    '.hardware.devices:': {'title': _('Devices'),
                              'keyorder': ['id', 'name', 'type', 'version', 'detected', 'activated', ],
                              'view': 'invdevices_of_host',
                              },
    '.hardware.devices:*.id': {'title': _('ID'), },
    '.hardware.devices:*.name': {'title': _('Name')},
    '.hardware.devices:*.type': {'title': _('Type'), },
    '.hardware.devices:*.version': {'title': _('Version')},
    '.hardware.devices:*.detected': {'title': _('Detected'), },
    '.hardware.devices:*.activated': {'title': _('Activated'), },
})

declare_invtable_view('invdevices', '.hardware.devices:', _('Devices'), _('Devices'))
